Crosswalk Intel XDK experiences

Discussion and feedback on Construct 2

Post » Sat Oct 25, 2014 7:00 pm

@IntelRobert
I missed that post, Thanks for the info.
ImageImageImageImage
B
157
S
66
G
42
Posts: 2,603
Reputation: 35,343

Post » Sun Oct 26, 2014 12:38 pm

@IntelRobert

I made the following plugins open (free):

Phonegap Admob
Phonegap Game (Google Play Games / Game Center, SDK)
Phonegap IAP
Phonegap FacebookPB (Social)
Ejecta Admob

Download form this post: viewtopic.php?f=153&t=109586&p=800966#p800966

I wish this helps every body to use crosswalk.

Thanks
Construct2 Cordova Plugins (currently 87 plugins): https://www.scirra.com/store/construct2 ... ugins-1662

Construct2 Prototype Capx (currently 50 capx): https://www.scirra.com/store/games-with ... -capx-3088

Home page: http://cranberrygame.com
B
65
S
22
G
81
Posts: 780
Reputation: 46,631

Post » Sun Oct 26, 2014 1:24 pm

My games exported with Crosswalk work great however, I have a few devices that have Rockchip processors and the games won't even load. I get a black screen then the apps close. Is there a reason for this or a workaround?
ImageImage
Mr. Green - Platform/puzzle game out now!
B
25
S
7
G
1
Posts: 222
Reputation: 3,350

Post » Sun Oct 26, 2014 3:06 pm

I have compiled my game with intel xdk crosswalk for android.
when i am testing with several devices, i got an error message in a Sony 4.0 phone when open the app. it says "connection to the server was unsuccessful file:///android_asset/www/index.html".
but this error is not given always. it gave in some time.

other problem is splash screen. I need to display a splash screen with a logo and progress bar ( as in construct 2 html5 export ). but when i tested in many devices, a black color screen is appeared for long time (5-10 seconds) and after long black screen only progress bar is displayed for short time (2 seconds) and logo is not displayed.

So how to fix above two problems ?
Image
B
23
S
2
G
1
Posts: 46
Reputation: 1,087

Post » Sun Oct 26, 2014 5:43 pm

volkiller730 wrote:@fldr I did but my but I cant get my backround music to loop i have tryied making it a music or sound file ..
Do you know how to fix it?

i have to check this, dont have music loops, only normal soundeffects and they work fine by just putting them in as sound effects and using the "normal" play event
B
38
S
11
G
5
Posts: 485
Reputation: 5,340

Post » Mon Oct 27, 2014 6:17 am

@IntelRobert
I think this can be a bug in intel XDK.
I have exported my game using Intel XDK crosswalk for android. I have set version code property as "1"(because it is my first release). but when i build the app, intel xdk automatically set and change the version code as "60001". :? . but i don't want such a big value and it is unmanageable. i uploaded the apk into google play. then google show that my version code as "20001" :? .so why i cant set version code as i want in intel xdk propert. (this issue was not in old version of intel xdk software, but new update have this issue) Thanks.
Image
B
23
S
2
G
1
Posts: 46
Reputation: 1,087

Post » Mon Oct 27, 2014 6:44 am

@tharindutpd this is normal they do this big gap as they export both the x86 and arm apks for your apk. So they make the X86 60000+ and 20000+for arm. Google play uses the version code to determine what version to install so they make that big gap so that you will not have any issues with them over lapping. just keep adding one each time you update your app and everything will be fine
B
42
S
17
G
2
Posts: 850
Reputation: 6,209

Post » Wed Oct 29, 2014 10:32 am

Quick question.
I'm about to publish my first google play game (yay!)
in XDK I've setup
"Minimum Android Version - 16"
"Target Android Version - 18"

In Developer Console my apk files details shows "API levels - 16+"
but on my "play.google.com/store....game" test link it shows
"Requires Android: 1.6 and up"

Is that normal?!
You do not have the required permissions to view the files attached to this post.
ImageImageImageImage
B
157
S
66
G
42
Posts: 2,603
Reputation: 35,343

Post » Wed Oct 29, 2014 10:53 am

No that's not right. I have minimum as 14 and mine reports as 14+ and "4.0 and up" in the store. You should double check your XDK setings.
B
24
S
9
G
4
Posts: 1,646
Reputation: 6,596

Post » Wed Oct 29, 2014 10:55 am

I did :/

Maybe it needs to be set as 14 for google play to show it correctly?
You do not have the required permissions to view the files attached to this post.
ImageImageImageImage
B
157
S
66
G
42
Posts: 2,603
Reputation: 35,343

PreviousNext

Return to Construct 2 General

Who is online

Users browsing this forum: oozkaya and 11 guests